<?PHP 

    # Пишу скрипты, модули с 0 
    # PHP <> 7.4, MySQL,MySQL(i),PDO
    # author penny wise
    # telegram @the_penny_wise

    # ядро

    require_once (__DIR__."/_sys/_core.php");

    $get = curl(URL."films/genre");

    $view = get_genre($get);

    $title = ($view[0]->title != null ? $view[0]->title : 'Категории фильмов на телефон');
    $description = ($view[0]->description != null ? $view[0]->description : 'Категории фильмов на телефон');
    $t = 'Категории';
    
    # head

    require_once (__DIR__."/_sys/_head.php");

    # index

    if ($view[0]->title != null):

    echo '<ul class="tl">';   

    foreach ($view as $data):

    if ($data->url != null && $data->url != 'new_year'):

    echo '
    <li><a href="http://'.DOMAIN.'/films/genre/'.$data->url.'">'.$data->name.'
    <span class="black">'.$data->black.'</span>
    '.($data->cb != null ? '<span class="cb">'.$data->cb.'</span>':'').'
    '.($data->c1 != null ? '<span class="c1">'.$data->c1.'</span>':'').'
    </a></li>  
    ';

    endif;    

    endforeach;   

    echo '</ul></div>';

    else: echo '</div><div class="us_msg" style="margin: 0px 4px;color: red;"><strong>Ошибка зайдите позже!</strong></div>'; endif;

    echo '
    <div class="menuniz">
    <a href="http://'.DOMAIN.'/films/search"><img src="'.URL.'style/img/newpoisk.png" alt="">Поиск</a>
    <a href="http://'.DOMAIN.'"><img src="'.URL.'style/img/back.png" alt="">На главную</a></div>
    ';


    # foot

    require_once (__DIR__."/_sys/_foot.php");